/* General styles v=2.2.0 */
body {
    font-family: 'Arial Unicode MS', 'Helvetica', sans-serif;
   
    margin: 0;
    padding: 0;
    background-color: rgb(10, 10, 10);
    /* background-image: url('/css/images/bg.jpg');*/
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: 100% 100%;    
}

nav {
    margin: 10px;
    padding-top: 20px;
}

nav p{
    margin-left: 20px;
    color: white;
    text-align: left;
    
}

nav a{
    color: white;
    
    text-decoration: none;

}

.search-box {
    width: 97%;
    font-size: 12px;
    margin: 10px;
    margin-right: 0px;
    padding: 6px;
    box-sizing: border-box;
    border: 1px;
    border-radius: 10px;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 10px;
    padding: 10px;
}

.grid-item {
    background: #f0f0f0;
    padding: 20px;
    border-radius: 8px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.grid-item:nth-child(even) {
    overflow: hidden;
    word-wrap: break-word;
    text-overflow: ellipsis;
    background-color: #467fcf;
    color: white;
}

.grid-item:nth-child(odd) {
    overflow: hidden;
    word-wrap: break-word;
    text-overflow: ellipsis;
    background-color: #ffffff;
}

.grid-item:hover {
    background-color: rgb(22, 6, 248) !important;
    color:yellow;
}

.avatar {
    display: block;
    padding-top: 40px;
    margin-left: auto;
    margin-right: auto;
    width: 200px;
    height: 200px;
}

.info {
    display: block;
    margin-top: 40px !important;
    text-align: center;

} 

.user-section ul {
    list-style-type: none;
}

.user-section a {
    text-decoration:none; 
    color:black;
}

.user-section h2{
    color: rgb(236, 93, 10);
}
.user-section p{
    color: rgb(59, 48, 48);
}

.platform-name {
    vertical-align: middle;
    display: inline-block;
    margin-left: 5px;
    color:black;
}

.highlight {
    background-color: #12bbdc !important; /* Highlight color */
    color: white;
}

/* Specific rule for highlighted grid items */
.grid-item.highlight {
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5); /* Optional: Add some shadow to make it stand out */
}

.add-link {
    cursor: pointer;
    text-align: center;
    background: #ebd0a6 !important;
    color: white;
}


.modal-label {
    display: inline-block;
    width: 150px; /* Adjust the width as needed */
    text-align: right;
    padding-right: 10px;

    flex-grow: 1;
    text-align: right;
    width: 10px;
    margin-left: 10px;
    padding: 5px;
    
    border-radius: 5px;


}
  
.platform-name {
  margin-top: 5px;
}

.modal-input {
  flex: 1; /* Adjust the width as needed */
  box-sizing: border-box; /* Ensures padding and border are included in the width */
  border-radius: 5px;
  background-color: #e6e1db;
  margin-bottom: 0.3rem;
}

.modal-form {
  display: flex;
  flex-direction: column;
  align-items: stretch; /* Stretch inputs to full width */
}

.modal-form label {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}
  
.modal-form input, 
.modal-form textarea {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 100%;
  box-sizing: border-box;
}

.modal-links {
    color:black !important;
}

.publish-checkbox-container {
    display: flex;
    justify-content: flex-end; /* Aligns the checkbox and label to the right */
    width: 100%; 
    margin-bottom: 1rem;
}
.publish-checkbox-container label {
    margin-left: 0.5rem;
}


label {
    display: flex;
    justify-content: space-between;
    align-items: right;
}

.agree-label {
 display: block; /* Changed from flex to block */
  margin-bottom: 10px; /* Added margin */
}

.agree-label input[type="checkbox"] {
  float: left; /* Align checkbox to left */
  /* margin-right: 5px;  Add space between checkbox and text */
}

.agree-label span {
  float: left !important; /* Align text to left */
  width: 85%; /* Set text width */
  text-align: left; /* Ensure text alignment */
  margin-left: 10px;
}

.edit-button {
    background-color: rgb(18, 231, 18);
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 12px;
}

.saveUserButton {
    background-color: rgb(18, 231, 18);
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 12px;
}

/* Container to hold buttons in a row */ 
.button-container { 
    display: flex; 
    flex-wrap: nowrap; /* Allows buttons to wrap to the next line if needed */ 
    justify-content: center; /* Center the buttons horizontally */ 
}

/* Common button styles */
.thisButtons {
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
  
    font-size: 16px;
    margin: 10px;
    cursor: pointer;
    border-radius: 5px;
    min-width: 120px; /* Ensure buttons don't get too small */ 
    flex: 1; /* Distribute available space equally */
}

/* Specific button styles */
.login-button {
    background-color: #2cad04;
}

.register-button {
    background-color: rgb(9, 41, 224);
}

.email-button {
    background-color: rgba(224, 138, 9, 0.849);
}


.logout-button {
    background-color: #ff2f2f;
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;    
    border-radius: 12px;
}

.name-input {
    flex-grow: 1;
    text-align: left;
    width: 100px;
    margin-left: 10px;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #2c0849;
}

.email-input {
    flex-grow: 1;
    text-align: right;
    width: 80%;
    margin-left: 10px;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #9e8faa;
}

.bio-input {
    flex-grow: 1;
    text-align: right;
    width: 80%;
    margin-left: 10px;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #9e8faa;
}


.url-input {
    flex-grow: 1;
    width: 60%;
    margin-left: 5px;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #e9e4ec;
    margin-bottom: 0.3rem;
}

.platform-checkbox {
    transform: scale(1.5);
}

.platform-checkbox + img {
    margin-right: 5px; /* adjust spacing between image and input */
  }
  

.platform-checkbox:checked + img + .url-input {
    /*margin-left: 40px;  adjust spacing */
    vertical-align: middle; /* align input box */
    flex-grow: 1;
    background-color: #f0f0f0;
    border: 1px solid #aaa;
    color: #333;
    pointer-events: auto;

}
  
.platform-checkbox:not(:checked) + img + .url-input {
    flex-grow: 1;
    pointer-events: none;
    opacity: 0.5;
    box-sizing: border-box;    
    width: 100%;
}
  
lang-select {
    margin-top: 80px;
}

select option img {
    display: block; /* or inline-block */
    width: 20px;
    height: 15px;
}


.footer {
    
   padding-top: 48px;
   margin-bottom: 68px;
   color: #eb8e0c;
   font-size: 24px;
   text-align: center;
   position: relative;
}

/* unvisited link */
.footer a:link {
  text-decoration: none;
  color:  #eb8e0c;
}

/* visited link */
.footer a:visited {
  text-decoration: none;
  color: green;
}

/* mouse over link */
.footer a:hover {
  text-decoration: none;
  color: hotpink;
}

/* selected link */
.footer a:active {
  text-decoration: none;
  color: blue;
}

/* Modal styles */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
    padding-top: 60px;
}

.modal-content {
    background-color: #d0e7e9;  
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    position: relative;
    margin-top: 0px;
}

.title {
    
    text-align: center;
}

.close {
    color: #050505;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: rgb(238, 5, 5);
    text-decoration: none;
    cursor: pointer;
}

#errorMessage {
    color: red;
    display: none;
    margin-bottom: 1em;
    text-align:center;
}

#forgotPassword {
    text-align: center;
}

.error-visible {
    display: block !important;
}

/* Sign In form styles */
.sign-in-container {
    max-width: 400px;
    margin: 50px auto;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.sign-in-container h2 {
    margin-bottom: 20px;
}

.sign-in-container form {
    display: flex;
    flex-direction: column;
}

.sign-in-container label {
    margin-bottom: 5px;
}

.sign-in-container input {
    margin-bottom: 15px;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    width: calc(100% - 20px);
    margin-right: 20px;
}

.sign-in-container button {
    padding: 10px;
    background-color:#2cad04;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.sign-in-container button:hover {
    background-color: #345a8a;
}

/* Registration form styles */
.register-container {
    max-width: 400px;
    margin: 50px auto;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.register-container h2 {
    margin-bottom: 20px;
}

.register-container form {
    display: flex;
    flex-direction: column;
}

.register-container label {
    margin-bottom: 5px;
}

.register-container input {
    margin-bottom: 15px;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    
    margin-right: 20px;
}

.register-container button {
    padding: 10px;
    background-color: rgb(9, 41, 224);
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.register-container button:hover {
    background-color: #345a8a;
}

.modal-label {
    display: inline-block;
    width: 150px; /* Adjust the width as needed */
    text-align: right;
    padding-right: 10px;
}

.login {
    margin-left:10px;
    background-color: lightgray; /* Green */
    border-width: 2px;
    color: black;
    padding-block: 1px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}


#popup {
    display: none;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    border: 1px solid #ccc;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

#popupMessage {
    font-size: 16px;
    color: #333;
    margin-bottom: 20px;
}

#popupCloseButton {
    display: inline-block;
    padding: 10px 20px;
    background-color: #007bff;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 16px;
    border-radius: 5px;
}

#popupCloseButton:hover {
    background-color: #0056b3;
}


footer {
   padding-top: 48px;
   margin-bottom: 48px;
   color: #eb8e0c;
   font-size: 14px;
   text-align: center;
   position: relative;
}

footer a, footer a:visited { color: #c4bdbd; }
footer a:hover, footer a:focus { color: #fff; }

/* copyright */
footer .copyright {
   width: 100%;
   position: fixed;
   bottom: 20px;
   text-align: left;
}
.open-button {
   position: fixed;
   bottom: 20px;
   right: 20px;
   width: 100px;
   height: 100px;
   cursor: pointer;
   z-index: 1000;
}

footer .copyright li {
    display: inline-block;
    margin: 0;
    padding: 0;
    line-height: 24px;
}

.ie footer .copyright li {
   display: inline;
}

footer .copyright li:before {
    content: "\2022";
    padding-left: 10px;
    padding-right: 10px;
    color: #095153;
}
footer .copyright  li:first-child:before {
    display: none;
}


.music {
    position: relative;
    text-align: center;
    color: #fff;
}

.music .credits {
    font-size: 14px;
    margin-bottom: 10px;
    order: -1; /* Move credits to top */
}

.music h1,
.music h3 {
    margin-top: 10px; /* Adjust spacing */
}

.music a {
    color: #ccc;
    text-decoration: none;
}

.music a:hover {
    color: #fff;
}


.button { 
    display: inline-block; 
    padding: 10px 20px; 
    text-decoration: none; 
    color: white; 
    border-radius: 5px; 
    margin: 5px; 
} 
    
.green-button { 
    background-color: green; 
} 

.blue-button { 
    background-color: blue;
}



@media print {
    @page {
        background-image: url('/css/images/bg.jpg'); 
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: 100% 100%;
    }
  }


/* Responsive styles */
@media (max-width: 600px) {
    .modal-content {
        width: 90%;
        padding: 10px;
    }
    #video-background {
        width: 100vw;
        height: 100vh;
        text-align: center; 
        /* or margin: 0 auto;
        object-fit: cover;  */
    }
}

/* Mobile Devices (max-width: 768px) */

@media only screen and (max-width: 768px) {
  .search-box {
    width: 96%;
    padding: 8px;
    font-size: 14px;
  }
  
  #video-background {
    width: 100vw;
    height: 100vh;
    text-align: center; 
    /* or margin: 0 auto;
    object-fit: cover; */
  }
  
}


/*Tablet Devices (min-width: 769px, max-width: 1024px) */

@media only screen and (min-width: 769px) and (max-width: 1024px) {
  .search-box {
    width: 98%;
    padding: 10px;
    font-size: 16px;
  }
  
  #video-background {
    width: 100vw;
    height: 100vh;
    text-align: center; 
    /* or margin: 0 auto;
    object-fit: cover; */
  }
}


/* Desktop Devices (min-width: 1025px) */

@media only screen and (min-width: 1025px) {
  .search-box {
    width: 98%;
    padding: 12px;
    font-size: 18px;
  }
  
  #video-background {
    width: 100vw;
    height: 100vh;
    #video-background {
        width: 100vw;
        height: 100vh;
        text-align: center; 
        /* or margin: 0 auto;
        object-fit: cover; */
    }

  }
}

